
/* Create the SQL Server Audit object, and send the results to the 
Windows Application event log. */
CREATE SERVER AUDIT Test_SQL_Server_DB_Audit
    TO APPLICATION_LOG
    /* The Queue Delay is set to 1000, meaning one second 
         intervals to write to the target. */
    WITH ( QUEUE_DELAY = 1000,  ON_FAILURE = CONTINUE);
GO

USE AdventureWorks
GO

-- create specification in database
CREATE DATABASE AUDIT SPECIFICATION Test_Database_Audit_Specification
FOR SERVER AUDIT Test_SQL_Server_DB_Audit
    ADD (SELECT ON HumanResources.EmployeePayHistory BY dbo)
    WITH (STATE = ON);
GO

-- must be in master to alter audit
USE master
GO

/* Enable the audit. */
ALTER SERVER AUDIT Test_SQL_Server_DB_Audit
WITH (STATE = ON);
GO

USE AdventureWorks
GO

select * from HumanResources.EmployeePayHistory
GO


ALTER DATABASE AUDIT SPECIFICATION Test_Database_Audit_Specification
WITH (STATE = OFF);
GO

DROP DATABASE AUDIT SPECIFICATION Test_Database_Audit_Specification
GO

use master
go

ALTER SERVER AUDIT Test_SQL_Server_DB_Audit
WITH (STATE = OFF);
GO


DROP SERVER AUDIT Test_SQL_Server_DB_Audit
GO

